---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: tgui::WidgetConverter Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacetgui.html">tgui</a></li><li class="navelem"><a class="el" href="classtgui_1_1WidgetConverter.html">WidgetConverter</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classtgui_1_1WidgetConverter-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">tgui::WidgetConverter Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Implicit converter for widgets returned by the load function of the theme.  
 <a href="classtgui_1_1WidgetConverter.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="WidgetConverter_8hpp_source.html">WidgetConverter.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:af73af56788db4c5c6d45121e8fe9c494"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af73af56788db4c5c6d45121e8fe9c494"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetConverter.html#af73af56788db4c5c6d45121e8fe9c494">WidgetConverter</a> (<a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a> widget)</td></tr>
<tr class="memdesc:af73af56788db4c5c6d45121e8fe9c494"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct the converter from the widget. <br /></td></tr>
<tr class="separator:af73af56788db4c5c6d45121e8fe9c494"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20f1fa849fc4a99c097ac8345c324924"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a20f1fa849fc4a99c097ac8345c324924"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetConverter.html#a20f1fa849fc4a99c097ac8345c324924">operator Widget::Ptr</a> ()</td></tr>
<tr class="memdesc:a20f1fa849fc4a99c097ac8345c324924"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve the widget without casting when required. <br /></td></tr>
<tr class="separator:a20f1fa849fc4a99c097ac8345c324924"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af04fd42b740fc4a0dc4aa95ec2902996"><td class="memTemplParams" colspan="2"><a class="anchor" id="af04fd42b740fc4a0dc4aa95ec2902996"></a>
template&lt;class T &gt; </td></tr>
<tr class="memitem:af04fd42b740fc4a0dc4aa95ec2902996"><td class="memTemplItemLeft" align="right" valign="top">&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetConverter.html#af04fd42b740fc4a0dc4aa95ec2902996">operator std::shared_ptr&lt; T &gt;</a> ()</td></tr>
<tr class="memdesc:af04fd42b740fc4a0dc4aa95ec2902996"><td class="mdescLeft">&#160;</td><td class="mdescRight">Cast the widget to the required type. <br /></td></tr>
<tr class="separator:af04fd42b740fc4a0dc4aa95ec2902996"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Implicit converter for widgets returned by the load function of the theme. </p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>include/TGUI/Loading/<a class="el" href="WidgetConverter_8hpp_source.html">WidgetConverter.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:46 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
